<?xml version="1.0"?>
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Config:etc/system_file.xsd">
    <system>
        <section id="shipping">
            <group id="payment_dependency" translate="label" type="text" sortOrder="140" showInDefault="1">
                <label>Payment dependency</label>
                <field id="mapping" translate="label" sortOrder="3000" showInDefault="1">
                    <label>Mapping</label>
                    <frontend_model>Xcoding\PaymentMethodDependency\Block\Adminhtml\Form\Field\Dependency</frontend_model>
                    <backend_model>Magento\Config\Model\Config\Backend\Serialized\ArraySerialized</backend_model>
                </field>
            </group>
        </section>
    </system>
</config>
